Macaulay2 » Documentation
Packages » Polyhedra :: dualCone
next | previous | forward | backward | up | index | toc

# dualCone -- computes the dual Cone

- Usage:
    `Cv = dualCone C`
- Inputs:
  - C, a convex rational cone
- Outputs:
  - Cv, a convex rational cone

## Description

The dual cone of C in QQ^n is the cone in the dual ambient space (QQ^n)^*, given by {p in (QQ^n)^* | p*c >= 0 for all c in C}.

    i1 : C = coneFromVData matrix {{1,2},{2,1}}

    o1 = C

    o1 : Cone

    i2 : Cv = dualCone C

    o2 = Cv

    o2 : Cone

    i3 : rays Cv

    o3 = | 2  -1 |
         | -1 2  |

                  2       2
    o3 : Matrix ZZ  <-- ZZ

## Ways to use dualCone:

- `dualCone(Cone)`

## For the programmer

The object dualCone is a method function.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Polyhedra/documentation/old_documentation.m2:2638:0.